#ISPConfig Wizard module

This module allows you to create DNS Zone, Site, Database User, Database, FTP User, SSH User, Mail Domain and Mailboxes in one form. You just define domain name and using checkboxes decide which services you want to create. Services are created using user defined templates.

This module is compatible with ISPConfig version 3.1

##Installation

This module have to be installed on master node in multiserver setup.

- Download this repo as archive, unpack it to `/usr/local/ispconfig/interface/web/`
- Create DB table provided in db.sql file `mysql -u root -p < db.sql`
- Enable module in user interface System -> CP Users -> Admin user -> Check "wizard" and save.
  - If it doesn't work, enable module manually by editing admin user in DB table `sys_user` column `modules`
  
##Changelog

###Version 1.0.1

Release date: July 21 2016

First publicly released version.

##Planned features

- Export results as PDF
- Email results as HTML/PDF

##Screenshots

![New service](https://git.ispconfig.org/ispconfig/module-wizard/raw/master/readme_images/new_service.png)

![Template](https://git.ispconfig.org/ispconfig/module-wizard/raw/master/readme_images/template.png)

##Contributing

Contributions are welcome. Our release model uses [Git Flow approach](http://danielkummer.github.io/git-flow-cheatsheet/), so you have to base your branches on `develop` and should have name `feature/name-of-feature` or `hotfix/name-of-hotfix`.

Please contribute your translations, which are located in `lib/lang/` directory. Thank you.

##License

Copyright (c) 2016, Kristián Feldsam, FELDSAM s.r.o. <info@feldsam.cz>  
All rights reserved.

Redistribution and use in source and binary forms, with or without modification,  
are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice,  
      this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice,  
      this list of conditions and the following disclaimer in the documentation  
      and/or other materials provided with the distribution.
- Neither the name of ISPConfig nor the names of its contributors  
      may be used to endorse or promote products derived from this software without  
      specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND  
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED  
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  
IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,  
INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,  
BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,  
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  
OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING  
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,  
EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
